local name, private = ...

Excavatinator = private.objects.base()

Excavatinator:RegisterEvent("ADDON_LOADED")
Excavatinator:RegisterEvent("ARTIFACT_HISTORY_READY")

Excavatinator.isLoaded = false
RequestArtifactCompletionHistory()

function Excavatinator:event(event, addon)
    if event == "ADDON_LOADED" then
        if addon ~= name then return end
        private.artifacts:process()
    end
end

function Excavatinator:Load()
    private.artifacts:process()
    self.raceFrame = private.objects.ui.raceFrame()
    self.raceFrame:init()
    
    self.isLoaded = true
end

function showExcavatinator() -- This is the slash command, so it can't have a self reference
    if Excavatinator.isLoaded then
        Excavatinator.raceFrame:Show()
    else
        if InCombatLockdown() then
            print("You are in combat! Excavatinator cannot open.")
            return nil
        end
        Excavatinator:Load()
        RequestArtifactCompletionHistory() -- Not sure if it took the first time; it did seem to have issues.
    end
end

SLASH_EXCAVATINATOR1 = '/arch'
SlashCmdList["EXCAVATINATOR"] = showExcavatinator