local name, private = ...

local locale = GetLocale()

local L = {
    enUS = {
        -- No data here yet
    },
}

local d = private.objects.list() -- List of strings already displayed for debugging

local metaL = {

}

function metaL.__call(self, ...)
    local arg = ...
    if self[locale] then
        if self[locale][arg] then
            return self[locale][arg]
        end
    end
    if self.enUS[arg] then
        if not d:has(arg) then
            d:add(arg)
            private:debug("String not found for current locale: " .. arg)
        end
        return self.enUS[arg]
    end
    if not d:has(arg) then
        d:add(arg)
        private:debug("String not found for current locale or enUS: " .. arg)
    end
    return arg
end

setmetatable(L, metaL)

private.L = L